#include "../include/aprecv-general.h"

int print_ipv7_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct ipv7_pkt_header *ipv7_header;
  static unsigned short i=0;

  ipv7_header = (struct ipv7_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("\n- IPv7(TP/IX) Header -\n  Version: %u, Hdr-Len: %u, TTL: %u\n",
                                   ipv7_header->version,
				   ipv7_header->header_length,
				   apsr_ntohs(ipv7_header->time_live));
  
  apsr_output("  Forward route identifier: ");
  for(i = 0; i < 8; i++)
          apsr_output("%02x ", ipv7_header->fri[i]);
    
  apsr_output("\n  Dst IP: ");
  for(i = 0; i < 8; i++) 
	  apsr_output("%02x ", ipv7_header->dst_ip[i]);
  
  apsr_output("\n  Src IP: ");
  for(i = 0; i < 8; i++)
          apsr_output("%02x ", ipv7_header->src_ip[i]);  
  
  apsr_output("\n  Protocol: %u, Checksum: 0x%04x\n", apsr_ntohs(ipv7_header->protocol), apsr_ntohs(ipv7_header->sum));
  
  if(statistic) 
          stats.c.ipv7++;

  return(RET_SUCCESS);
}
