#include "../include/apsrstack-general.h"
 
int usage (char *name, char *error_str) {
  apsr_stream_output((FILE *) stderr,
"\nAPSRSTACK v%s - Programmed by APSR - Team\n"
"===========================================\n"
"Usage: %s [-d <device>]\n"
" -d    --device <device>	Device to open\n"
" -h    --help			Display this help message\n"
" -V    --version		Display the version\n",
    APSRSTACK_VERSION, name);
  
  if(*error_str) {
	  apsr_stream_output((FILE *) stderr, "\nError: %s\n", error_str); 
	  exit(EXIT_FAILURE);
  }

  exit(EXIT_SUCCESS);
}

int showversion (void) {
  apsr_stream_output((FILE *) stderr, "APSRSTACK version %s (c) by APSR - Team(questions@aa-security.de).\n", APSRSTACK_VERSION);
  apsr_stream_output((FILE *) stderr, "Compiled with apsrlib version %d.%d%d.\n", 
		  APSR_APSRLIB_VERSION_BRANCH, APSR_APSRLIB_VERSION_MAJOR, 
		  APSR_APSRLIB_VERSION_MINOR);
  exit(EXIT_SUCCESS);
}
