/* CDP types */
#define APSR_TYPE_CDP_DEVID	0x0001		/* Device ID		*/
#define APSR_TYPE_CDP_ADDR	0x0002		/* Address		*/
#define APSR_TYPE_CDP_PORTID	0x0003		/* Port ID		*/
#define APSR_TYPE_CDP_CAP	0x0004		/* Capabilities		*/
#define APSR_TYPE_CDP_VER	0x0005		/* Version		*/
#define APSR_TYPE_CDP_PLA	0x0006		/* Platform		*/
#define APSR_TYPE_CDP_IPPRE	0x0007		/* IP Prefix		*/

/* CDPv2 types */
#define APSR_TYPE_CDP_HELLO     0x0008	/* Protocol-Hello		*/
#define APSR_TYPE_CDP_VTP       0x0009	/* VTP Management Domain	*/
#define APSR_TYPE_CDP_NAT_VLAN  0x000a	/* Native VLAN			*/
#define APSR_TYPE_CDP_DUPLEX    0x000b	/* Full/Half Duplex		*/
#define APSR_TYPE_CDP_ATA_REQ   0x000e	/* ATA-186 VoIP VLAN request	*/
#define APSR_TYPE_CDP_ATA_ASS   0x000f	/* ATA-186 VoIP VLAN assignment */

/* Not documented */
#define APSR_TYPE_CDP_POWER	0x0010		/* Power consumption	*/
#define APSR_TYPE_CDP_MTU	0x0011		/* MTU			*/
#define APSR_TYPE_CDP_AVVID_TR	0x0012		/* AVVID trust		*/
#define APSR_TYPE_CDP_AVVID_UT	0x0013		/* AVVID untrusted	*/
#define APSR_TYPE_CDP_SYSNAME	0x0014		/* sysName		*/
#define APSR_TYPE_CDP_SYSID	0x0015		/* sysObjectID		*/
#define APSR_TYPE_CDP_MAN_ADDR	0x0016		/* Management addresses	*/
#define APSR_TYPE_CDP_LOCAT	0x0017		/* Location		*/


/* Performs level 3 routing for at least one network layer protocol	*/
#define APSR_CAP_LEVEL3_ROUT    0x01

/* Performs level 2 transparent bridging				*/
#define APSR_CAP_LEVEL2_TRANSBR 0x02

/* Performs level 2 source-route bridging				*/
#define APSR_CAP_LEVEL2_SOURCBR 0x04

/* Performs  level 2 switching						*/
#define APSR_CAP_LEVEL2_SWITCH  0x08

/* Sends  and  receives  packets  for  at  least  one network layer	*/
/* protocol								*/
#define APSR_CAP_SEND_RECV_ONE  0x10

/* The  bridge  or  switch  does not forward IGMP Report packets on	*/
/* nonrouter ports							*/
#define APSR_CAP_NOTFOR_IGMP    0x20

/* Provides level 1 functionality					*/
#define APSR_CAP_LEVEL1         0x40

