/* IGMPv0 types */
#define APSR_IGMP_CREATE_GROUP_REQ   0x01    /* Create Group Request	*/
#define APSR_IGMP_CREATE_GROUP_REP   0x02    /* Create Group Reply	*/
#define APSR_IGMP_JOIN_GROUP_REQ     0x03    /* Join Group Request	*/
#define APSR_IGMP_JOIN_GROUP_REP     0x04    /* Join Group Reply	*/
#define APSR_IGMP_LEAVE_GROUP_REQ    0x05    /* Leave Group Request	*/
#define APSR_IGMP_LEAVE_GROUP_REP    0x06    /* Leave Group Reply	*/
#define APSR_IGMP_CONF_GROUP_REQ     0x07    /* Confirm Group Request	*/
#define APSR_IGMP_CONF_GROUP_REP     0x08    /* Confirm Group Reply	*/

/* IGMPv1 types */
#define APSR_IGMP_MEMBERSHIP_QUERY   0x11    /* Membership Query	*/
#define APSR_IGMP_MEMBERSHIPV1_REP   0x12    /* Membership Version 1 Report */
#define APSR_IGMP_DVMRP		     0x13    /* DVMRP			*/

/* IGMPv2 types */
#define APSR_IGMP_PIMV1		     0x14    /* PIM version 1		*/
#define APSR_IGMP_CISCO_TRACE_MESS   0x15    /* Cisco trace messages	*/
#define APSR_IGMP_MEMBERSHIPV2_REP   0x16    /* Membership Version 2 Report */
#define APSR_IGMP_MEMBERSHIP_LEAVE   0x17    /* Leave Group		*/
#define APSR_IGMP_MULTICAST_TRA_RE   0x1e    /* Multicast traceroute respone */
#define APSR_IGMP_MULTICAST_TRACER   0x1f    /* Multicast traceroute 	*/
#define APSR_IGMP_MEMBERSHIPV3_REP   0x22    /* Membership Version 3 Report */
#define APSR_IGMP_MULTICAST_R_ADVE   0x24    /* Multicast Router Advertisement */
#define APSR_IGMP_MULTICAST_R_SOLI   0x25    /* Multicast Router Solicitation */
#define APSR_IGMP_MULTICAST_R_TERM   0x26    /* Multicast Router Termination */

/* RGMP types(rfc 3488) */
#define APSR_IGMP_RGMP_LEAVE_GROUP   0xfc    /* Leave a group */
#define APSR_IGMP_RGMP_JOIN_GROUP    0xfd    /* Join a group */
#define APSR_IGMP_RGMP_BYE	     0xfe    /* Bye */
#define APSR_IGMP_RGMP_HELLO	     0xff    /* Hello */

