#include "../include/apsrlib-config.h"

/* Create a GGP packet. */
int apsr_ggp (unsigned int gtype, unsigned int unused, unsigned short seq_num,
	      const unsigned char *payload, int payload_size,
	      unsigned char *buf)
{
	static struct ggp_pkt_header ggp_hdr;

	if(!buf) {
	  #ifdef APSRLIB_DEBUG
          ERROR("apsr_ggp: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	ggp_hdr.gtype   = gtype;
	ggp_hdr.unused  = unused;
	ggp_hdr.seq_num = apsr_htons(seq_num);

	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  memcpy(buf + APSR_GGP, payload, payload_size);
	}

	memcpy((unsigned char *)buf, (unsigned char *)&ggp_hdr,
	       APSR_GGP_H);

	return(RET_SUCCESS);
}

