#include "../include/apsrlib-config.h"

/* Create a IGRP packet. */
int apsr_igrp (unsigned int code_version, unsigned int edition,
	       unsigned short autosys, unsigned short interior,
	       unsigned short system, unsigned short exterior,
	       unsigned short sum, const unsigned char *payload,
	       int payload_size, unsigned char *buf)
{
	static struct igrp_pkt_header igrp_hdr;

	if(!buf) {
	  #ifdef APSRLIB_DEBUG
          ERROR("apsr_igrp: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	igrp_hdr.code_version	= code_version;
	igrp_hdr.edition	= edition;
	igrp_hdr.autosys	= apsr_htons(autosys);
	igrp_hdr.interior	= apsr_htons(interior);
	igrp_hdr.system		= apsr_htons(system);
	igrp_hdr.exterior	= apsr_htons(exterior);
	igrp_hdr.sum		= apsr_htons(sum);

	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  memcpy(buf + APSR_IGRP, payload, payload_size);
	}

	memcpy((unsigned char *)buf, (unsigned char *)&igrp_hdr,
	       APSR_IGRP);

	return(RET_SUCCESS);
}

