#include "../include/apsrlib.h"

/* Signal handler */
int apsr_install_sig (apsr_exit_callback call_function) {

	#if defined(HAVE_SIGNAL)
	if(signal(SIGINT,  call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGINT catching.\n");
		 #endif
	}
	if(signal(SIGQUIT, call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGQUIT catching.\n");
	         #endif
	}
	if(signal(SIGABRT, call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGABRT catching.\n");
		 #endif
	}
	if(signal(SIGPIPE, call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGPIPE catching.\n");
	         #endif
	}
	if(signal(SIGSEGV, call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGSEGV catching.\n");
	         #endif
	}
	if(signal(SIGTERM, call_function) == SIG_ERR) {
		 #ifdef APSRLIB_DEBUG
		 fprintf(stderr, "Error: Signal error while SIGTERM catching.\n");
	         #endif
	}
	
	return(RET_SUCCESS);
	
	#else
	
	return(RET_FAILURE);
	
	#endif
	
	/* SIGHUB will be used to reload the configuration files.
	  Only usefull if apsend/aprecv runs in daemon mode (not yet
	  implemented).                                           */
	/* signal(SIGHUB, reload_cfg); */

}
